package com.clx.performance.service.breakcontract;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.clx.performance.param.pc.breakcontract.carrier.BreakContractOwnerRuleAddParam;
import com.clx.performance.param.pc.breakcontract.carrier.BreakContractOwnerRuleStatusUpdateParam;
import com.clx.performance.param.pc.breakcontract.carrier.PageBreakContractOwnerRuleParam;
import com.clx.performance.vo.pc.breakcontract.carrier.BreakContractOwnerRuleFileVO;
import com.clx.performance.vo.pc.breakcontract.carrier.BreakContractOwnerRulePullDownVO;
import com.clx.performance.vo.pc.breakcontract.carrier.BreakContractOwnerRuleVO;

import java.util.List;

/**
 * @author liruixin
 * Date 2023-10-24
 * Time 16:02
 */
public interface BreakContractOwnerRuleService {

    void saveRule(BreakContractOwnerRuleAddParam param);
    void updateStatus(BreakContractOwnerRuleStatusUpdateParam param);
    BreakContractOwnerRuleVO getRuleInfo(Integer id);
    BreakContractOwnerRuleFileVO getRuleFile(Integer id);

    IPage<BreakContractOwnerRuleVO> pageRule(PageBreakContractOwnerRuleParam param);

    List<BreakContractOwnerRulePullDownVO> listPullDown();

}
